Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: LibreOffice 4.2.5 Upgrade problem

  1. #1

    Default LibreOffice 4.2.5 Upgrade problem

    If I try to upgrade to LO 4.2.x zypper want to remove 8 packets:

    Code:
    libreoffice-base-extensions libreoffice-draw-extensions libreoffice-help-it libreoffice-hyphen 
    libreoffice-impress-extensions libreoffice-thesaurus-it myspell-american myspell-italian
    since the LO 4.2 repo has been added to http://download.opensuse.org/repositories/LibreOffice:/ it is showing this beavior

    so I don't know if it safe to upgrade or not...

  2. #2
    Join Date
    Aug 2008
    Location
    San Francisco
    Posts
    400

    Default Re: LibreOffice 4.2.5 Upgrade problem

    I just installed LibreOffice 4.2.5 from http://download.opensuse.org/reposit...openSUSE_13.1/ on an openSUSE 13.1 KDE 32-bit system, switching all files to that repository from http://download.opensuse.org/reposit...openSUSE_13.1/
    The switch required the following:
    Code:
    [Delete]             libreoffice-help-en-US         | American Help   Localization for LibreO... | 4.1.6.2-7.1               |   23.8 MiB
    [Autodelete]         libreoffice-base-extensions    | LibreOffice Base   Extensions              | 4.1.6.2-4.1               |           
    [Autodelete]         libreoffice-draw-extensions    | LibreOffice Draw   Extensions              | 4.1.6.2-4.1               |      233 B
    [Autodelete]         libreoffice-hyphen             | Hyphen   Dictionaries for LibreOffice      | 20110203.1-1.1            |    3.0   MiB
    [Autodelete]         libreoffice-impress-extensions | LibreOffice   Impress Extensions           | 4.1.6.2-4.1               |    1.5 MiB
    [Autodelete]         libreoffice-thesaurus-en-US    | American Thesaurus   Dictionary for Lib... | 20060111.1-1.1            |   20.6 MiB
    [Autodelete]         myspell-american               | American   Dictionary for MySpell          | 20100316-20.1             |  724.6 KiB
    Limited testing indicates most things work correctly. Help files do seem to be absent, though. YMMV.
    Regards,
    Howard

  3. #3

    Default Re: LibreOffice 4.2.5 Upgrade problem

    Quote Originally Posted by crmrhm View Post
    I just installed LibreOffice 4.2.5 from http://download.opensuse.org/reposit...openSUSE_13.1/ on an openSUSE 13.1 KDE 32-bit system, switching all files to that repository from http://download.opensuse.org/reposit...openSUSE_13.1/
    The switch required the following:
    Code:
    [Delete]             libreoffice-help-en-US         | American Help   Localization for LibreO... | 4.1.6.2-7.1               |   23.8 MiB
    [Autodelete]         libreoffice-base-extensions    | LibreOffice Base   Extensions              | 4.1.6.2-4.1               |           
    [Autodelete]         libreoffice-draw-extensions    | LibreOffice Draw   Extensions              | 4.1.6.2-4.1               |      233 B
    [Autodelete]         libreoffice-hyphen             | Hyphen   Dictionaries for LibreOffice      | 20110203.1-1.1            |    3.0   MiB
    [Autodelete]         libreoffice-impress-extensions | LibreOffice   Impress Extensions           | 4.1.6.2-4.1               |    1.5 MiB
    [Autodelete]         libreoffice-thesaurus-en-US    | American Thesaurus   Dictionary for Lib... | 20060111.1-1.1            |   20.6 MiB
    [Autodelete]         myspell-american               | American   Dictionary for MySpell          | 20100316-20.1             |  724.6 KiB
    Limited testing indicates most things work correctly. Help files do seem to be absent, though. YMMV.
    Regards,
    Howard
    yes, is the same repo I'm using, my install is 64 bit version

    so those packets are going to be removed without being replaced? Are useless with the new version?

    is there no need of them or just have they not been uploaded yet?

  4. #4

    Default Re: LibreOffice 4.2.5 Upgrade problem

    Quote Originally Posted by cicerone View Post
    so those packets are going to be removed without being replaced? Are useless with the new version?

    is there no need of them or just have they not been uploaded yet?
    Those packages do not exist any more with LO 4.2.

    Their content is now contained in other packages.
    F.e. the mysql packages have been reworked, the dictionaries from myspell-american and so on are now part of myspell-en.
    libreoffice-hyphen is not needed/used any more I think because the hyphenation data is part of mysql now as well.

    The help is now contained in the standard language packages, libreoffice-help-en-US f.e. is now part of libreoffice-l10n-en.

    OTOH, libreoffice-base-extensions is completely empty even in the 4.1.6.2 version from the official update repo, and libreoffice-draw-extensions only contains this README file there:
    Code:
    Dear customer,
    
    the PDF import extension has been integrated into the main application.
    The result is that this package is empty. We keep it for future use
    because it makes the maintenance process easier.
    
    
    Sincerely,
    Your SUSE team
    And the only thing libreoffice-draw-extensions contained (namely "Presentation Minimizer") is now part of the main libreoffice-impress package as well.

    So you won't miss much when you uninstall those packages...
    Last edited by wolfi323; 04-Jul-2014 at 02:45.

  5. #5

    Default Re: LibreOffice 4.2.5 Upgrade problem

    Quote Originally Posted by wolfi323 View Post
    Those packages do not exist any more with LO 4.2.

    Their content is now contained in other packages.
    F.e. the mysql packages have been reworked, the dictionaries from myspell-american and so on are now part of myspell-en.
    libreoffice-hyphen is not needed/used any more I think because the hyphenation data is part of mysql now as well.

    The help is now contained in the standard language packages, libreoffice-help-en-US f.e. is now part of libreoffice-l10n-en.

    OTOH, libreoffice-base-extensions is completely empty even in the 4.1.6.2 version from the official update repo, and libreoffice-draw-extensions only contains this README file there:
    Code:
    Dear customer,
    
    the PDF import extension has been integrated into the main application.
    The result is that this package is empty. We keep it for future use
    because it makes the maintenance process easier.
    
    
    Sincerely,
    Your SUSE team
    And the only thing libreoffice-draw-extensions contained (namely "Presentation Minimizer") is now part of the main libreoffice-impress package as well.

    So you won't miss much when you uninstall those packages...
    thank you for the explanation, wolfi

    now I'm with LO 4.2.5.2

  6. #6

    Default AW: Re: LibreOffice 4.2.5 Upgrade problem

    Quote Originally Posted by cicerone View Post
    thank you for the explanation, wolfi
    You're welcome.

    No idea why I wrote "mysql" instead of "myspell" though...
    I noticed and changed it before submitting the post, but I missed the first one. Sorry.
    I hope it's obvious that that should have been myspell as well:
    Quote Originally Posted by wolfi323 View Post
    F.e. the mysql packages have been reworked

  7. #7
    Join Date
    Aug 2008
    Location
    San Francisco
    Posts
    400

    Default Re: LibreOffice 4.2.5 Upgrade problem

    Quote Originally Posted by wolfi323 View Post
    The help is now contained in the standard language packages, libreoffice-help-en-US f.e. is now part of libreoffice-l10n-en.
    Something still seems to be missing from Help. libreoffice-l10n-en is installed. The help window shows index topics in the left pane, but the right pane is blank for all topics I tried.

    I downloaded the LO 4.2.5.2 rpms from the LO site, and selected libobasis4.2-en-US-help for installation. That pulled in other files as follows:
    Code:
    # Status             Package                        | Summary                                  | Installed (Available)     |       Size
    
    [Install]            libobasis4.2-en-US-help        | Help module for LibreOffice 4.2, lang... | (4.2.5.2-2)               |   23.9 MiB
    [Autoinstall]        libobasis4.2-core01            | Core module for LibreOffice 4.2 .5.2     | (4.2.5.2-2)               |   60.1 MiB
    [Autoinstall]        libobasis4.2-en-US             | Language module for LibreOffice 4.2, ... | (4.2.5.2-2)               |  145.9 KiB
    [Autoinstall]        libreoffice4.2-ure             | UNO Runtime Environment .5.2             | (4.2.5.2-2)               |    8.9 MiB
    However, the right help pane was still blank.

    I uninstalled the LO from the openSUSE repository, and installed everything from the downloaded LO rpms. Now the help window shows information correctly.

    What am I missing to get help working in the openSUSE repository version?
    Thanks,
    Howard

  8. #8

    Default Re: LibreOffice 4.2.5 Upgrade problem

    Quote Originally Posted by crmrhm View Post
    I downloaded the LO 4.2.5.2 rpms from the LO site, and selected libobasis4.2-en-US-help for installation. That pulled in other files as follows:
    You should not mix the packages from the LibreOffice repo with the ones from the LO website.
    They are completely different.

    No idea why the help would be missing though. The files are there AFAICS.
    Maybe try with a different user?

    I will try to install LO 4.2.5 here in a moment to see whether I can reproduce the problem.

  9. #9

    Default Re: LibreOffice 4.2.5 Upgrade problem

    I could reproduce the issue here.

    Apparently some files are missing after the upgrade:
    Code:
    :-> rpm -q libreoffice
    libreoffice-4.2.5.2-10.1.x86_64
    :-> lowriter
     file:///usr/share/libreoffice/help/main_transform.xsl:1: parser error : Document is empty
    
    ^
    file:///usr/share/libreoffice/help/main_transform.xsl:1: parser error : Start tag expected, '<' not found
    
    ^
    error
    xsltParseStylesheetFile : cannot parse file:///usr/share/libreoffice/help/main_transform.xsl
    :~> rpm -V libreoffice
    missing     /usr/share/libreoffice/help/idxcaption.xsl
    missing     /usr/share/libreoffice/help/idxcontent.xsl
    missing     /usr/share/libreoffice/help/main_transform.xsl
    After I re-installed the package "libreoffice" (either select "Upgrade Unconditionally" in YaST, or run "sudo zypper in -f libreoffice") the help worked.

    Apparently when you upgrade, those files get removed when the old version is uninstalled, which YaST/zypper apparently does _after_ installing the new packages.
    Re-installing "libreoffice" creates those files again, as they _are_ actually contained in that package also for 4.2.5.

    So this is a flaw in the upgrade process. If you uninstall the old libreoffice packages completely and then install the new version, it should work straight away.
    Last edited by wolfi323; 04-Jul-2014 at 11:00.

  10. #10
    Join Date
    Aug 2008
    Location
    San Francisco
    Posts
    400

    Default Re: LibreOffice 4.2.5 Upgrade problem

    Quote Originally Posted by wolfi323 View Post
    So this is a flaw in the upgrade process. If you uninstall the old libreoffice packages completely and then install the new version, it should work straight away.
    Thanks, wolfi323, everything works here now.

    I completely uninstalled everything from the 4.2.5.2 rpm archives downloaded from the LO site, then installed LO 4.2.5.2 from the repository http://download.opensuse.org/reposit...openSUSE_13.1/. All functions including help seem to be working straight away.
    Best regards,
    Howard

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •